class Hash

  # Return a rehashing of _self_.
  #
  #   {"a"=>1,"b"=>2}.to_h  #=> {"b"=>2,"a"=>1}
  #
  #--
  # A horse is a horse, a horse of course.
  #++
  def to_h; rehash; end

end



#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
=begin test

  require 'test/unit'

  class TCHash < Test::Unit::TestCase

    def test_to_h
      a = { :a => 1, :b => 2, :c => 3 }
      assert_equal( a, a.to_h )
    end

  end

=end
